Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class PastRegrTest.TestPastContentHandle

    java.lang.Object
      rice.p2p.past.testing.PastRegrTest.TestPastContentHandle

All Implemented Interfaces:
  java.io.Serializable, PastContentHandle

Enclosing class:
  PastRegrTest

    protected static class PastRegrTest.TestPastContentHandle

extends java.lang.Object
implements PastContentHandle

Utility class for past content object handles

See Also:
  Serialized Form

Field Summary
`protected NodeHandle` | `handle`
`protected Id` | `id`

Constructor Summary
`PastRegrTest.TestPastContentHandle(Past past, Id id)`

Method Summary
`Id` | `getId()` get the id of the PastContent object associated with this handle
`NodeHandle` | `getNodeHandle()` get the NodeHandle of the Past node on which the object associated with this handle is stored

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handle

    protected NodeHandle handle

### id

    protected Id id

Constructor Detail

### PastRegrTest.TestPastContentHandle

    public PastRegrTest.TestPastContentHandle(Past past,
                                              Id id)

Method Detail

### getId

    public Id getId()

  Description copied from interface: `PastContentHandle`
  get the id of the PastContent object associated with this handle

  Specified by:
    `getId` in interface `PastContentHandle`
  Returns:
    the id

### getNodeHandle

    public NodeHandle getNodeHandle()

  Description copied from interface: `PastContentHandle`
  get the NodeHandle of the Past node on which the object associated with this handle is stored

  Specified by:
    `getNodeHandle` in interface `PastContentHandle`
  Returns:
    the id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.